/*
 *  Vazaar
 *  file: e-splash.h
 *
 *
 *  Copyright (C) 2005 Tomás Vírseda <kaskaras@yahoo.es>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef _E_SPLASH_H_
#define _E_SPLASH_H_

typedef struct _SplashScreen SplashScreen;
	
struct _SplashScreen {
    GladeXML		*xml;	
    GtkWidget		*window;		/* Main window			*/
	GtkWidget		*splash;		/* Splash image  */
};
	
#define GLADE_VAZAAR_SPLASHSCREEN_WIN	"splashscreen"
#define GLADE_VAZAAR_SPLASHSCREEN_IMAGE	"splash"
#define GLADE_VAZAAR_PROJECT_FILE PACKAGE_DATA_DIR"/vazaar/vazaar.glade"
#define GLADE_VAZAAR_MAIN_WIN				"winMain"

SplashScreen *
vazaar_gui_splash_new ();

void
vazaar_gui_splash_finish (SplashScreen *);


#endif /* _E_SPLASH_H_ */
